.dropdown-item {
    list-style: none;
    padding: 5px 10px;
    border-radius: calc(var(--border-radius) - (var(--padding) / 2));
    cursor: pointer;
    color: var(--dark);
    background-color: var(--light);
    display: flex;
    justify-content: space-between;
}

.dropdown-item-selected-icon {
    display: inline-block;
    width: 20px;
    height: 20px;
    justify-self: right;
    background-image: url('https://jcloud-services.ddns.net/assets/img/jcloud-ui-icons/selected.svg');
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: center;
    background-attachment: fixed;
}

.dropdown-item .marker-selected {
    height: 16px;
}

.dropdown-item:hover {
    background-color: var(--bit-darker-than-light);
}

.dropdown-item:active {
    background-color: #328cef80;
    opacity: 0.5;
}

.dropdown-container {
    display: inline;
    position: relative;
}

.dropdown {
    --position: translate(30px, 42px);
    --padding: 7px;
    --border-radius: 12px;
    padding: var(--padding);
    box-shadow: 10px 10px 35px rgba(0, 0, 0, 0.3);
    border-radius: var(--border-radius);
    font-size: 16px;
    background-color: var(--light);
    display: inline-block;
    position: absolute;
    width: 250px;
    transform-origin: top right;
    z-index: 10000;
    right: 0;
    top: 38px;
    text-align: left;
}

.dropdown-title {
    padding: 5px 10px;
    margin: 0;
    font-size: 16px;
    font-family: 'SF-Pro-Text-Regular', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.dropdown ul {
    padding: 0;
    margin: 0;
}

.dropdown.colapsed.initial {
    display: none;
}

.dropdown.colapsed {
    animation: menu-colapse 0.18s ease forwards;
}

.dropdown.expanded {
    display: block;
    animation: menu-expand 0.195s cubic-bezier(0.175, 0.885, 0.32, 1.275) forwards;
}

@keyframes menu-expand {
    0% {
        opacity: 0;
        transform: scale(0.7);
    }

    80% {
        opacity: 1;
        transform: scale(1.03);
    }

    100% {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes menu-colapse {
    0% {
        opacity: 1;
        transform: scale(1);
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 0;
        transform: scale(0);
        display: none;
    }
}


.dropdown-trigger {
    border-radius: 8px;
    outline: none;
    border: none;
    background-color: var(--light-background);
    font-size: 1em;
    color: var(--primary-color);
    cursor: pointer;
    padding: 4px 8px;
}

.dropdown-trigger:hover {
    background-color: var(--bit-darker-than-light)
}